# Created by pyp2rpm-1.0.1
%global pypi_name aplpy

Name:           python-aplpy
Version:        2.1.0
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        The Astronomical Plotting Library in Python

License:        MIT
URL:            https://aplpy.github.io/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
APLpy (the Astronomical Plotting Library in Python) is a Python module aimed at
producing publication-quality plots of astronomical imaging data in FITS
format. The module uses Matplotlib, a powerful and interactive plotting
package. It is capable of creating output files in several graphical formats,
including EPS, PDF, PS, PNG, and SVG.


%package -n python3-aplpy
Summary:        Python3 implementation of APLpy
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-aplpy}

%description -n python3-aplpy
APLpy (the Astronomical Plotting Library in Python) is a Python module aimed at
producing publication-quality plots of astronomical imaging data in FITS
format. The module uses Matplotlib, a powerful and interactive plotting
package. It is capable of creating output files in several graphical formats,
including EPS, PDF, PS, PNG, and SVG.

This is the Python 3 package.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%files -n python3-aplpy -f %{pyproject_files}
%doc README.rst
%license LICENSE.md


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 2.1.0-3.mga10
+ Revision: 2247567
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 2.1.0-2.mga10
+ Revision: 2159597
- rebuild for python3.13

* Mon Feb 26 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2044486
- new version: 2.1.0
- rebuild for py3.12
- switch to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.1.1-12.mga9
+ Revision: 1823980
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.1.1-11.mga9
+ Revision: 1785786
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 1.1.1-10.mga9
+ Revision: 1733710
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 1.1.1-9.mga9
+ Revision: 1732420
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.1-8.mga8
+ Revision: 1533122
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.1.1-7.mga8
+ Revision: 1443548
- BR python3-setuptools
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 1.1.1-6.mga7
+ Revision: 1350868
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.1-5.mga7
+ Revision: 1288238
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 1.1.1-4.mga7
+ Revision: 1210523
- Renamed python-aplpy to python2-aplpy
- Updated description

* Wed Oct 04 2017 tv <tv> 1.1.1-3.mga7
+ Revision: 1168846
- add BR on python2dist(setuptools) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 1.1.1-2.mga7
+ Revision: 1135306
- Rebuild for python 3.6

* Thu Dec 15 2016 eatdirt <eatdirt> 1.1.1-1.mga6
+ Revision: 1075448
- Upgrade to latest version 1.1.1 + python3 build

* Mon Feb 08 2016 umeabot <umeabot> 0.9.8-8.mga6
+ Revision: 943241
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8-7.mga5
+ Revision: 740402
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.8-6.mga5
+ Revision: 728051
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.8-5.mga5
+ Revision: 687883
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.8-3.mga4
+ Revision: 542993
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.8-2.mga4
+ Revision: 498107
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jun 18 2013 joequant <joequant> 0.9.8-1.mga4
+ Revision: 444675
- add URL
- imported package python-aplpy

